### Enumeration

# Gtk RevealerTransitionType

since: 4.0

#### Declaration

    enum Gtk.RevealerTransitionType

#### Description [src]

These enumeration values describe the possible transitions when the child of a `GtkRevealer` widget is shown or hidden.

Available since: 4.0

#### Members

`GTK_REVEALER_TRANSITION_TYPE_NONE`

  No transition.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_CROSSFADE`

  Fade in.

  - Value: `1`
  - Nickname: `crossfade`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_RIGHT`

  Slide in from the left.

  - Value: `2`
  - Nickname: `slide-right`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_LEFT`

  Slide in from the right.

  - Value: `3`
  - Nickname: `slide-left`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_UP`

  Slide in from the bottom.

  - Value: `4`
  - Nickname: `slide-up`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN`

  Slide in from the top.

  - Value: `5`
  - Nickname: `slide-down`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SWING_RIGHT`

  Floop in from the left.

  - Value: `6`
  - Nickname: `swing-right`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SWING_LEFT`

  Floop in from the right.

  - Value: `7`
  - Nickname: `swing-left`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SWING_UP`

  Floop in from the bottom.

  - Value: `8`
  - Nickname: `swing-up`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SWING_DOWN`

  Floop in from the top.

  - Value: `9`
  - Nickname: `swing-down`
  - Available since: 4.0